#ifndef BLEDEVICEDISCOVERY_H
#define BLEDEVICEDISCOVERY_H

#include <QtCore/QObject>
#include <QtBluetooth/QBluetoothDeviceDiscoveryAgent>
#include <QtCore/QTimer>
#include <QtCore/QList>

class BleDeviceDiscovery : public QObject
{
    Q_OBJECT

public:
    BleDeviceDiscovery();

public slots:
    void start();

private slots:
    void discoveredNewBLEDevice(const QBluetoothDeviceInfo &);

    //void updateBLEdevice(const QBluetoothDeviceInfo &, QBluetoothDeviceInfo::Fields);

    void finishedDiscovery();

private:
    QBluetoothDeviceDiscoveryAgent m_deviceDiscoveryAgent;
     QTimer timer;
     QList<QString> m_toBeConnectedDevices;
};

#endif // BLEDEVICEDISCOVERY_H
